Unhandled exception when system file manager entry is malformed

Bug #1881255 reported by dolfyn on 2020-05-29
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Rapid Photo Downloader
Low
Damon Lynch

Bug Description

Looks different to #1600786 as the Traceback is different...

program_version=0.9.24

When right-clicking on a thumbnail and selecting "Open in File Browser..." I get the following error:

ERROR An unhandled exception occurred
ERROR Traceback (most recent call last):
  File "/home/hk/.local/lib/python3.6/site-packages/raphodo/thumbnaildisplay.py", line 1987, in doOpenInFileManagerAct
    uri=uri
  File "/home/hk/.local/lib/python3.6/site-packages/raphodo/storage.py", line 737, in open_in_file_manager
    args = shlex.split(cmd)
  File "/usr/lib/python3.6/shlex.py", line 305, in split
    return list(lex)
  File "/usr/lib/python3.6/shlex.py", line 295, in __next__
    token = self.get_token()
  File "/usr/lib/python3.6/shlex.py", line 105, in get_token
    raw = self.read_token()
  File "/usr/lib/python3.6/shlex.py", line 187, in read_token
    raise ValueError("No closing quotation")
ValueError: No closing quotation

In the RPD log it says:

2020-05-29 08:59:09 INFO thumbnailpara.py 840: 92 of 92 thumbnails for /home/XX/Pictures/Darktable came from thumbnail cache
2020-05-29 08:59:09 DEBUG interprocess.py 1221: Unsubscribing to logging on port 33157
2020-05-29 08:59:09 DEBUG interprocess.py 338: Thumbnail Manager currently has no workers
2020-05-29 08:59:09 DEBUG devices.py 570: Setting device state for Darktable to idle
2020-05-29 08:59:09 INFO thumbnaildisplay.py 819: Finished thumbnail generation for /home/XX/Pictures/Darktable
2020-05-29 08:59:09 DEBUG rapid.py 1700: Resetting progress bar
2020-05-29 08:59:09 DEBUG thumbnaildisplay.py 246: -- Thumbnail Model --
2020-05-29 08:59:09 DEBUG thumbnaildisplay.py 256: 92 thumbnails (92 marked)
2020-05-29 08:59:09 DEBUG thumbnaildisplay.py 261: 92 not downloaded; 0 downloaded; 0 previously downloaded
2020-05-29 08:59:09 DEBUG thumbnaildisplay.py 273: Active devices: Darktable (2 removed)
2020-05-29 08:59:58 DEBUG storage.py 736: Launching: RawTherapee_5.8.AppImage" file:///home/XX/Pictures/Darktable/3E6A0375.CR3
2020-05-29 08:59:58 ERROR excepthook.py 164: An unhandled exception occurred
2020-05-29 08:59:58 ERROR excepthook.py 165: Traceback (most recent call last):
  File "/home/XX/.local/lib/python3.6/site-packages/raphodo/thumbnaildisplay.py", line 1987, in doOpenInFileManagerAct
    uri=uri
  File "/home/XX/.local/lib/python3.6/site-packages/raphodo/storage.py", line 737, in open_in_file_manager
    args = shlex.split(cmd)
  File "/usr/lib/python3.6/shlex.py", line 305, in split
    return list(lex)
  File "/usr/lib/python3.6/shlex.py", line 295, in __next__
    token = self.get_token()
  File "/usr/lib/python3.6/shlex.py", line 105, in get_token
    raw = self.read_token()
  File "/usr/lib/python3.6/shlex.py", line 187, in read_token
    raise ValueError("No closing quotation")
ValueError: No closing quotation

2020-05-29 09:00:49 INFO excepthook.py 104: Creating bug report tar file /home/XX/rpd-bug-report-20200529.tar

Related branches

Damon Lynch (dlynch3) wrote :

Attach the file rpd-bug-report-20200529.tar. If you deleted it, follow the instructions here:

https://damonlynch.net/rapid/documentation/#reportproblem

Without the information in the tar file, I cannot fix the bug.

Changed in rapid:
status: New → Incomplete
dolfyn (hwkrus) wrote :

The tar-ball...

Damon Lynch (dlynch3) wrote :

Thanks. Are you aware that an AppImage for RawTherapee is set to be your default file manager? Did you set that yourself?

dolfyn (hwkrus) wrote :

Thanks. Yes I noticed that too - but it has not affected me (yet). I compiled the latest LibRaw and ExifTools on a desktop running Ubuntu 18.04 and to my delight I noticed that RPD recognizes and *displays* CR3 files! Great! Now trying to do the same on two laptops running 16.04.

Damon Lynch (dlynch3) wrote :

Rapid Photo Downloader uses the system specified file manager to display files. On your system that is, literally:

RawTherapee_5.8.AppImage"

Which is clearly wrong. If you set it to the correct value, it will work.

Damon Lynch (dlynch3) on 2020-05-29
summary: - Unhandled exception when clicking on "Open in File Browser..."
+ Unhandled exception when system file manager entry is malformed
Changed in rapid:
status: Incomplete → Triaged
importance: Undecided → Low
assignee: nobody → Damon Lynch (dlynch3)
Tatu Takanen (jaeae) wrote :

This affects me aswell. How can I set something else as file browser? I also have RawTherapee 5.8 installed and whenever I click "open in file browser" it opens RawTherapee. Note that I try to open folder, not image. I have set Nomacs as default JPG opener in Ubuntu's menus (Open with in properties menu).

Damon Lynch (dlynch3) wrote :

@Tatu Takanen you set it using your desktop's settings. For example in Gnome:

https://wiki.archlinux.org/index.php/GNOME/Files#Files_is_no_longer_the_default_file_manager

Given there are two of you experiencing this problem, it seems like a bug report should also be filed against the AppImage for RawTherapee. It should never set the default file manager to this value:

RawTherapee_5.8.AppImage"

That is a invalid setting.

Damon Lynch (dlynch3) on 2020-08-29
Changed in rapid:
milestone: none → 0.9.25
Damon Lynch (dlynch3) on 2020-12-16
Changed in rapid:
status: Triaged → Fix Committed
Damon Lynch (dlynch3) on 2020-12-19
Changed in rapid:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers